
Core - Bug # 63778

Bug # 63692 (Accepted): Memory consumption while bulk inserting

Status: Resolved Priority: Should have
Author: Stephan Großberndt Category: Performance
Created: 2014-12-11 Assigned To:
Updated: 2014-12-11 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: no-brainer
Is Regression: No
Sprint Focus:
Subject: Do not fetch TSconfig in DataHandler->process_datamap for non-page-records
Description

In DataHandler->process_datamap for each record DataHandler->getTCEMAIN_TSconfig is executed, but the TSconfig is used only
if $status  'new' && $table  'pages'

if ($recordAccess) {
    // Here the "pid" is set IF NOT the old pid was a string pointing to a place in the subst-id array.
    list($tscPID) = BackendUtility::getTSCpid($table, $id, $old_pid_value ? $old_pid_value : $fieldArray['pid']);
    $TSConfig = $this->getTCEMAIN_TSconfig($tscPID);
    if ($status == 'new' && $table == 'pages' && is_array($TSConfig['permissions.'])) {
        $fieldArray = $this->setTSconfigPermissions($fieldArray, $TSConfig['permissions.']);
    }

Associated revisions
Revision 68806a35 - 2014-12-11 21:37 - Stephan Großberndt

[BUGFIX] Do not fetch TSconfig in process_datamap for non-page-records

In DataHandler->process_datamap for each record getTCEMAIN_TSconfig()
is executed, but the returned TSconfig is used only if table is "pages" 
and status is "new".

Fetches the TSconfig only if table is "pages" and status is "new".

Resolves: #63778
Releases: master, 6.2
Change-Id: Ifded6daf2b5b6b61a9c95ba3962566450a07d72e
Reviewed-on: http://review.typo3.org/35304
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>
Reviewed-by: Lukas Krieger <lukas.krieger@me.com>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Revision 3a19c861 - 2014-12-11 22:01 - Stephan Großberndt
[BUGFIX] Do not fetch TSconfig in process_datamap for non-page-records

In DataHandler->process_datamap for each record getTCEMAIN_TSconfig()
is executed, but the returned TSconfig is used only if table is "pages" 
and status is "new".

Fetches the TSconfig only if table is "pages" and status is "new".

Resolves: #63778
Releases: master, 6.2
Change-Id: Ifded6daf2b5b6b61a9c95ba3962566450a07d72e
Reviewed-on: http://review.typo3.org/35318
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History
#1 - 2014-12-11 15:04 - Alexander Opitz
- Parent task set to #63692

#2 - 2014-12-11 15:32 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35304

#3 - 2014-12-11 15:58 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35304

#4 - 2014-12-11 21:37 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35318

#5 - 2014-12-11 22:00 - Stephan Großberndt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:68806a3583e34395cc7b2a1ae525ce49c00ce2a0.

2015-08-04 2/2

http://review.typo3.org/35318
mailto:typo3@wouterwolters.nl
mailto:typo3@wouterwolters.nl
http://review.typo3.org/35304
http://review.typo3.org/35304
http://review.typo3.org/35318

